<!--
Author:         Jakub Schon
Company:        Husky Energy
History:        jschn 30/08/2019 - Created.
 -->
<!-- VTT WOA List View Filter Badge Pane -->
<template>

	<lightning-layout multiple-rows="true" class="slds-p-horizontal--small">
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedVendor}>
			<lightning-badge label={vendor}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedTradesman}>
			<lightning-badge label={tradesman}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedScheduledFrom}>
			<lightning-badge label={scheduledFrom}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedScheduledTo}>
			<lightning-badge label={scheduledTo}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedAMU}>
			<lightning-badge label={AMU}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedOperatingRoute}>
			<lightning-badge label={operatingRoute}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedPlannerGroup}>
			<lightning-badge label={plannerGroup}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedActivityStatus}>
			<lightning-badge label={activityStatus}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedHideCompleted}>
			<lightning-badge label={hideCompleted}></lightning-badge>
		</lightning-layout-item>
		<lightning-layout-item class="slds-p-horizontal--xx-small slds-p-vertical--xx-small"
							   if:true={isSelectedAnyText}>
			<lightning-badge label={anyText}></lightning-badge>
		</lightning-layout-item>
	</lightning-layout>

</template>